<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title>Bimbingan Intensif Anak Remaja</v-card-title>
          <v-card-text>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <span class="text-body-2"
                  >Merupakan inovasi pelayanan publik yang dibuat untuk menjawab
                  tantangan dalam memenuhi kebutuhan psikologis dan sosial
                  remaja serta memberikan suasana yang lebih nyaman bagi remaja
                  dalam menjalani kehidupannya sehari-hari, baik dalam hal
                  perkembangan dan keselamatan mereka di usianya yang masih
                  labil. Inovasi ini dilaksanakan melalui pembinaan dan
                  konseling dalam hal bimbingan pra nikah, penguatan moderasi
                  beragama, dan bijaksana dalam mempergunakan media sosial
                  didampingi oleh tenaga psikolog yang memang kompeten di
                  bidangnya</span
                >
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="120" @click="open_url('https://api.whatsapp.com/send?phone=+62818557575&text=hallo ibu tia sastrina')">
                  <strong
                    >Penggunaan Media Sosial Secara Positif Dikalangan
                    Remaja</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Ibu Tia Sastrina<br/>
                      <strong>+62818557575</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>
              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="120" @click="open_url('https://api.whatsapp.com/send?phone=+628124622608&text=hallo bapak aminullah')">
                  <strong
                    >BinWin ( Bimbingan Perkawinan )</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Aminullah<br/>
                      <strong>+628124622608</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="120" @click="open_url('https://api.whatsapp.com/send?phone=+6281338571329&text=hallo ibu rustiani')">
                  <strong
                    >Penguatan Moderasi Beragama Dikalangan Remaja</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Rustiani<br/>
                      <strong>+6281338571329</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>
              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="120" @click="open_url('https://api.whatsapp.com/send?phone=+628124021607&text=hallo ibu arik')">
                  <strong
                    >Pengembangan Diri</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Arik<br/>
                      <strong>+628124021607</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "publik-rumah_binar",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Publik",
        disabled: false,
        href: "simanis",
      },
      {
        text: "Rumah Binar Bali",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "RUMAH BINAR BALI");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Publik");
        this.$router.back();
      }
    },
    open_url(url) {
      window.open(url)
    }
  },
};
</script>

<style scoped>
</style>
